--  File:     DUR_POST_VERIFY.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
--	Insert your values in the "between" clause below
--

--
--	These selects should result in Zero rows found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 148 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 347 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 573 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 724 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 963 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1120 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1333 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1537 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1737 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

--
--	These selects should result in Zero or One row(s) found
--

-- Durability Stream 1
select	*
from	acid_values
where	seq_num between 11 and 149 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 348 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 574 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 725 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 964 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1121 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1334 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1538 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1738 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )